<?php
namespace customerapi\models\dto;

use yii\base\Model;

class EventTypeDTO extends Model
{
public $id;
public $name;
public $theme;
public $created_at;
public $updated_at;

public static function fromEventType($eventType){
    $dto = new EventTypeDTO();
    $dto->id = $eventType->id;
    $dto->name = $eventType->name;
    $dto->theme = $eventType->theme;
    $dto->created_at = $eventType->created_at;
    $dto->updated_at = $eventType->updated_at;
    return $dto;
}
}
